package com.mortals.xhx.common.pdu.dept;

import com.mortals.framework.model.BaseEntityLong;
import lombok.Data;

import java.util.List;

/**
* 部门Pdu对象
*
* @author zxfei
* @date 2022-12-09
*/
@Data
public class DeptPdu extends BaseEntityLong {
    private static final long serialVersionUID = 1L;

    /**
    * 从政务系统来的部门id
    */
    private String tid;
    /**
    * 从政务系统来的部门name
    */
    private String tname;
    /**
    * 部门名称
    */
    private String name;
    /**
    * 从政务系统来的别名
    */
    private String simpleName;
    /**
    * 站点ID
    */
    private Long siteId;
    /**
    * 部门简称
    */
    private String deptAbb;
    /**
    * 部门电话
    */
    private String deptTelphone;
    /**
    * 部门编号
    */
    private String deptNumber;
    /**
    * 填单机展示 (0.否，1.是) 
    */
    private Integer isAutotable;
    /**
    * 预约展示 (0.否，1.是) 
    */
    private Integer isOrder;
    /**
    * 背靠背展示 (0.否，1.是) 
    */
    private Integer isBkb;
    /**
    * 办事指南展示 (0.否，1.是) 
    */
    private Integer isWorkGuide;
    /**
    * 是否使用 (0.否，1.是) 
    */
    private Integer usValid;
    /**
    * 部门电话是否展示 (0.否，1.是) 
    */
    private Integer isSecphone;
    /**
    * 是否展示英文 (0.否，1.是) 
    */
    private Integer isEnglish;
    /**
    * 排序
    */
    private Integer sort;
    /**
    * 部门来源
    */
    private Integer source;

    private List<Long> idList;


}