/**
* 文件：RoleAuthService.java
* 版本：1.0.0
* 日期：
* Copyright &reg; 
* All right reserved.
*/

package com.mortals.xhx.base.system.role.service;


import com.mortals.framework.model.Context;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.base.system.menu.model.MenuTreeSelect;
import com.mortals.xhx.base.system.role.model.RoleAuthEntity;
import com.mortals.xhx.base.system.role.model.RoleAuthQuery;

import java.util.List;


/**
 * <p>Title: 角色资源权限</p>
 * <p>Description: RoleAuthService service接口 </p>
 * <p>Copyright: Copyright &reg;  </p>
 * <p>Company: </p>
 * @author 
 * @version 1.0.0
 */

public interface RoleAuthService extends ICRUDService<RoleAuthEntity,Long> {
    /** 角色分配资源 */
    void doDistributionSource(RoleAuthQuery query, Context context);


    /** 角色分配菜单 */
    void doDistributionMenu(RoleAuthQuery query, Context context);


    /** 角色编辑菜单 */
    List<MenuTreeSelect> editMenu(RoleAuthQuery query, Context context);
}