package com.mortals.xhx.module.matter.model.vo;

import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.matter.model.MatterDatumEntity;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * 事项申请材料视图对象
 *
 * @author zxfei
 * @date 2022-09-27
 */
@Data
public class MatterDatumVo extends BaseEntityLong {
    /**
     * 事项名称
     */
    private String matterName;
    /**
     * 事项编号
     */
    private String matterNo;

    private Long siteId;

    private Integer pub;

    /**
     * 分类id
     */
    private Long categoryId;
    /**
     * 分类名称
     */
    private String categoryName;

    /** 主键，自增长列表 */
    private List <Long> idList;


}