package com.mortals.xhx.common.pdu.skin;

import com.mortals.framework.model.BaseEntityLong;
import lombok.Data;

/**
 * 系统基础皮肤Pdu对象
 *
 * @author zxfei
 * @date 2024-09-23
 */
@Data
public class SkinBasePdu extends BaseEntityLong {
    private static final long serialVersionUID = 1L;

    /**
     * 所属种类,来源种类
     */
    private Long categoryId;
    /**
     * 产品id
     */
    private Long productId;
    /**
     * 产品名称
     */
    private String productName;
    /**
     * css模板合成后文件地址
     */
    private String cssFilePath;
    /**
     * 排序编号
     */
    private Integer sortNum;
    /**
     * 产品皮肤名称，唯一且不为空
     */
    private String name;
    /**
     * 分辨率 (1.1920*1080，2.1080*1920，3.1280*1280)
     */
    private String imageResolution;
    /**
     * 预览图片
     */
    private String previewImagePath;
    /**
     * 产品编码
     */
    private String productCode;

    private String imageResolutionValue;
    private String serverName;

    private Integer serverPort;

    private String localZipPath;

    private String prependPath;
}