package com.mortals.xhx.base.system.menu.model.vo;

import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.base.system.menu.model.MenuEntity;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
* 菜单信息业务视图对象
*
* @author zxfei
* @date 2024-09-06
*/
@Data
public class MenuVo extends BaseEntityLong {

    /** 菜单ID，主键，自增长列表 */
    private List <Long> idList;


    /** 子菜单信息业务 */
    private List<MenuEntity> children = new ArrayList<>();

    private List<MenuEntity> childList = new ArrayList<>();


    private Integer type;
    /**
     * 是否选中，0为未选中，1选中。默认0
     */
    private Integer checked;
}