/**
* 文件：TableIndexController.java
* 版本：1.0.0
* 日期：
* Copyright &reg; 
* All right reserved.
*/
package com.mortals.xhx.base.system.table.web;


import com.mortals.framework.web.BaseCRUDJsonMappingController;
import com.mortals.xhx.base.system.table.model.TableIndexEntity;
import com.mortals.xhx.base.system.table.service.TableIndexService;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>Title: 分表索引信息</p>
 * <p>Description: TableIndexController  </p>
 * <p>Copyright: Copyright &reg;  </p>
 * <p>Company: </p>
 * @author 
 * @version 1.0.0
 */
@RestController
@RequestMapping("table/index")
public class TableIndexController extends BaseCRUDJsonMappingController<TableIndexService, TableIndexForm,TableIndexEntity,Long> {

	public TableIndexController(){
		super.setFormClass(TableIndexForm.class);
		super.setModuleDesc("分表索引信息");
	}
	
	
}